Name:           python-ccx2paraview
Version:        3.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        CalculiX to Paraview converter (frd to vtk/vtu). Makes it possible to view and postprocess CalculiX analysis results in Paraview. Generates Mises and Principal components for stress and strain tensors.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0
URL:            https://github.com/calculix/ccx2paraview
Source:         %{pypi_source ccx2paraview}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ccx2paraview' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ccx2paraview
Summary:        %{summary}

%description -n python3-ccx2paraview %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-ccx2paraview vtk


%prep
%autosetup -p1 -n ccx2paraview-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x vtk


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ccx2paraview -f %{pyproject_files}


%changelog
%autochangelog